%define module_name             ipw2200
%define module_version          1.0.4
%define module_release  alt2.132619.4

%define kversion        2.6.11
%define krelease        alt4
%define flavour         wks26-smp

%define base_arch %(echo %_target_cpu | sed 's/i.86/i386/;s/athlon/i386/')

%define module_dir /lib/modules/%kversion-%flavour-%krelease/kernel/drivers/net/wireless

Summary: Linux %module_name - a Intel(R) PRO/Wireless 2200 Network Connection Driver module
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release
License: GPL
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
Url: http://%module_name.sourceforge.net/
BuildPreReq: kernel-build-tools

BuildRequires: kernel-headers-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name-%module_version
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease

Provides:       kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts:      kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts:      kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Conflicts:      kernel-modules-ipw2100-%kversion-%flavour-%krelease

PreReq: coreutils
PreReq: modutils
PreReq: kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86

Requires: firmware-%module_name-2.3

%description
This project was created by Intel to enable support for the Intel
PRO/Wireless 2200 Network Connection mini PCI adapter.

%prep
%__rm -rf kernel-source-%module_name-%module_version

%__tar -jxvf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%make_build -C %_usrsrc/linux-%kversion-%flavour SUBDIRS=$PWD LINUXSRC=%_usrsrc/linux-%kversion-%flavour/ KERNELVERSION=2.6

%install
%__mkdir -p $RPM_BUILD_ROOT/%module_dir
%__cp -a *.ko $RPM_BUILD_ROOT/%module_dir

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Fri May 24 2005 Alexey Shabalin <shaba@altlinux.ru> 1.0.4-alt2.132619.4
- fix spec for Kernel CVS
- 1.0.4

* Sun May 15 2005 Alexey Shabalin <shaba@altlinux.ru> 1.0.3-alt1.8
- rebuild for 2.6.11-std26-alt8

* Thu Apr 28 2005 Alexey Shabalin <shaba@altlinux.ru> 1.0.3-alt1.6
- initial release
